diff --git a/frontend/src/pages/AdminDashboard.js b/frontend/src/pages/AdminDashboard.js
index 94c04e5..5d737d8 100644
--- a/frontend/src/pages/AdminDashboard.js
+++ b/frontend/src/pages/AdminDashboard.js
@@ -2177,49 +2564,168 @@ const AdminDashboard = () => {
                 Service Bookings
               </h3>
               <div className="space-y-4">
-                {bookings.map((booking) => (
-                  <div
-                    key={booking.id}
-                    className="border border-border rounded-lg p-4"
-                  >
-                    <div className="flex flex-col md:flex-row md:items-center justify-between gap-4">
-                      <div className="flex flex-wrap gap-4">
-                        <div>
-                          <p className="text-xs text-muted-foreground">
-                            Service
-                          </p>
-                          <p className="font-medium">{booking.service_name}</p>
+                {bookings.length === 0 ? (
+                  <p className="text-muted-foreground text-center py-8">
+                    No bookings yet
+                  </p>
+                ) : (
+                  bookings.map((booking) => (
+                    <div
+                      key={booking.id}
+                      className="border border-border rounded-lg p-4"
+                    >
+                      <div className="flex flex-col md:flex-row md:items-start justify-between gap-4">
+                        <div className="flex-1">
+                          <div className="flex flex-wrap gap-4 mb-3">
+                            <div>
+                              <p className="text-xs text-muted-foreground">
+                                Service
+                              </p>
+                              <p className="font-medium">
+                                {booking.service_name}
+                              </p>
+                            </div>
+                            <div>
+                              <p className="text-xs text-muted-foreground">
+                                Customer
+                              </p>
+                              <p className="text-sm">{booking.name}</p>
+                            </div>
+                            <div>
+                              <p className="text-xs text-muted-foreground">
+                                Email
+                              </p>
+                              <p className="text-sm">{booking.email}</p>
+                            </div>
+                            <div>
+                              <p className="text-xs text-muted-foreground">
+                                Phone
+                              </p>
+                              <p className="text-sm">{booking.phone}</p>
+                            </div>
+                            <div>
+                              <p className="text-xs text-muted-foreground">
+                                Preferred Date
+                              </p>
+                              <p className="text-sm">
+                                {booking.preferred_date}
+                              </p>
+                            </div>
+                            {booking.completed_at && (
+                              <div>
+                                <p className="text-xs text-muted-foreground">
+                                  Completed
+                                </p>
+                                <p className="text-sm text-green-600">
+                                  {new Date(
+                                    booking.completed_at,
+                                  ).toLocaleDateString()}
+                                </p>
+                              </div>
+                            )}
+                          </div>
+                          {booking.notes && (
+                            <p className="text-sm text-muted-foreground mb-2">
+                              <span className="font-medium">Notes:</span>{" "}
+                              {booking.notes}
+                            </p>
+                          )}
+                          {booking.diagnosis && (
+                            <p className="text-sm text-muted-foreground mb-1">
+                              <span className="font-medium">Diagnosis:</span>{" "}
+                              {booking.diagnosis}
+                            </p>
+                          )}
+                          {booking.work_performed && (
+                            <p className="text-sm text-muted-foreground">
+                              <span className="font-medium">Work Done:</span>{" "}
+                              {booking.work_performed}
+                            </p>
+                          )}
                         </div>
-                        <div>
-                          <p className="text-xs text-muted-foreground">
-                            Customer
-                          </p>
-                          <p className="text-sm">{booking.name}</p>
-                        </div>
-                        <div>
-                          <p className="text-xs text-muted-foreground">Email</p>
-                          <p className="text-sm">{booking.email}</p>
-                        </div>
-                        <div>
-                          <p className="text-xs text-muted-foreground">Phone</p>
-                          <p className="text-sm">{booking.phone}</p>
-                        </div>
-                        <div>
-                          <p className="text-xs text-muted-foreground">
-                            Preferred Date
-                          </p>
-                          <p className="text-sm">{booking.preferred_date}</p>
+                        <div className="flex flex-col items-end gap-2">
+                          <Badge
+                            variant={
+                              booking.status === "completed"
+                                ? "default"
+                                : booking.status === "in-progress"
+                                  ? "secondary"
+                                  : "outline"
+                            }
+                            className={
+                              booking.status === "completed"
+                                ? "bg-green-500"
+                                : ""
+                            }
+                          >
+                            {booking.status === "completed" && (
+                              <CheckCircle className="h-3 w-3 mr-1" />
+                            )}
+                            {booking.status === "in-progress" && (
+                              <Clock className="h-3 w-3 mr-1" />
+                            )}
+                            {booking.status}
+                          </Badge>
+                          {booking.paid && (
+                            <Badge className="bg-blue-500">
+                              <DollarSign className="h-3 w-3 mr-1" />
+                              Paid
+                            </Badge>
+                          )}
+                          <div className="flex gap-2 mt-2">
+                            {booking.status !== "completed" && (
+                              <>
+                                {booking.status === "pending" && (
+                                  <Button
+                                    size="sm"
+                                    variant="outline"
+                                    onClick={() =>
+                                      handleUpdateBookingStatus(
+                                        booking.id,
+                                        "in-progress",
+                                      )
+                                    }
+                                  >
+                                    <Clock className="h-4 w-4 mr-1" />
+                                    Start
+                                  </Button>
+                                )}
+                                <Button
+                                  size="sm"
+                                  variant="default"
+                                  className="bg-green-600 hover:bg-green-700"
+                                  onClick={() =>
+                                    handleOpenCompleteDialog(booking)
+                                  }
+                                >
+                                  <CheckCircle className="h-4 w-4 mr-1" />
+                                  Complete
+                                </Button>
+                              </>
+                            )}
+                            <Button
+                              size="sm"
+                              variant="outline"
+                              onClick={() => handlePrintReceipt(booking)}
+                            >
+                              <Printer className="h-4 w-4 mr-1" />
+                              Receipt
+                            </Button>
+                            <Button
+                              size="sm"
+                              variant="outline"
+                              className="text-red-600 hover:text-red-700 hover:bg-red-50"
+                              onClick={() => handleDeleteBooking(booking)}
+                            >
+                              <Trash2 className="h-4 w-4 mr-1" />
+                              Delete
+                            </Button>
+                          </div>
                         </div>
                       </div>
-                      <Badge>{booking.status}</Badge>
                     </div>
-                    {booking.notes && (
-                      <p className="text-sm text-muted-foreground mt-2">
-                        Notes: {booking.notes}
-                      </p>
-                    )}
-                  </div>
-                ))}
+                  ))
+                )}
               </div>
             </div>
           </TabsContent>
@@ -2626,13 +3132,11 @@ const AdminDashboard = () => {
                                 variant="ghost"
                                 className="text-destructive hover:text-destructive"
                                 onClick={() => {
-                                  if (
-                                    window.confirm(
-                                      `Are you sure you want to delete ${user.name}?`
-                                    )
-                                  ) {
-                                    handleDeleteUser(user.id);
-                                  }
+                                  showConfirmDialog(
+                                    "Delete User",
+                                    `Are you sure you want to delete ${user.name}? This action cannot be undone.`,
+                                    () => handleDeleteUser(user.id),
+                                  );
                                 }}
                               >
                                 <Trash2 className="h-4 w-4" />
@@ -2691,7 +3195,7 @@ const AdminDashboard = () => {
                       size="sm"
                       onClick={() =>
                         setCurrentUsersPage((p) =>
-                          Math.min(Math.ceil(usersTotal / usersPerPage), p + 1)
+                          Math.min(Math.ceil(usersTotal / usersPerPage), p + 1),
                         )
                       }
                       disabled={
@@ -2764,7 +3268,7 @@ const AdminDashboard = () => {
                       </div>
                       <div className="bg-muted rounded-lg p-4">
                         <p className="text-sm text-muted-foreground">
-                          Total Revenue
+                          Product Revenue
                         </p>
                         <p className="text-2xl font-bold">
                           ${salesReport.summary.total_revenue.toFixed(2)}
@@ -2788,6 +3292,48 @@ const AdminDashboard = () => {
                       </div>
                     </div>
 
+                    {/* Service Revenue Summary */}
+                    <div className="grid grid-cols-2 md:grid-cols-4 gap-4 mb-6">
+                      <div className="bg-green-50 dark:bg-green-900/20 rounded-lg p-4 border border-green-200 dark:border-green-800">
+                        <p className="text-sm text-green-700 dark:text-green-400">
+                          Services Booked
+                        </p>
+                        <p className="text-2xl font-bold text-green-800 dark:text-green-300">
+                          {salesReport.summary.total_services_booked || 0}
+                        </p>
+                      </div>
+                      <div className="bg-green-50 dark:bg-green-900/20 rounded-lg p-4 border border-green-200 dark:border-green-800">
+                        <p className="text-sm text-green-700 dark:text-green-400">
+                          Services Paid
+                        </p>
+                        <p className="text-2xl font-bold text-green-800 dark:text-green-300">
+                          {salesReport.summary.total_services_paid || 0}
+                        </p>
+                      </div>
+                      <div className="bg-green-50 dark:bg-green-900/20 rounded-lg p-4 border border-green-200 dark:border-green-800">
+                        <p className="text-sm text-green-700 dark:text-green-400">
+                          Service Revenue
+                        </p>
+                        <p className="text-2xl font-bold text-green-800 dark:text-green-300">
+                          $
+                          {(
+                            salesReport.summary.total_service_revenue || 0
+                          ).toFixed(2)}
+                        </p>
+                      </div>
+                      <div className="bg-blue-50 dark:bg-blue-900/20 rounded-lg p-4 border border-blue-200 dark:border-blue-800">
+                        <p className="text-sm text-blue-700 dark:text-blue-400">
+                          Combined Revenue
+                        </p>
+                        <p className="text-2xl font-bold text-blue-800 dark:text-blue-300">
+                          $
+                          {(salesReport.summary.combined_revenue || 0).toFixed(
+                            2,
+                          )}
+                        </p>
+                      </div>
+                    </div>
+
                     {/* Data Table */}
                     <div className="overflow-x-auto">
                       <table className="w-full text-sm">
@@ -2795,12 +3341,13 @@ const AdminDashboard = () => {
                           <tr className="border-b border-border">
                             <th className="text-left py-3 px-2">Period</th>
                             <th className="text-right py-3 px-2">Orders</th>
-                            <th className="text-right py-3 px-2">Revenue</th>
                             <th className="text-right py-3 px-2">
-                              Products Sold
+                              Product Rev
                             </th>
+                            <th className="text-right py-3 px-2">Services</th>
+                            <th className="text-right py-3 px-2">Paid</th>
                             <th className="text-right py-3 px-2">
-                              Services Booked
+                              Service Rev
                             </th>
                           </tr>
                         </thead>
@@ -2815,10 +3362,13 @@ const AdminDashboard = () => {
                                 ${row.revenue.toFixed(2)}
                               </td>
                               <td className="py-3 px-2 text-right">
-                                {row.products_sold}
+                                {row.services_booked || 0}
                               </td>
                               <td className="py-3 px-2 text-right">
-                                {row.services_booked || 0}
+                                {row.services_paid || 0}
+                              </td>
+                              <td className="py-3 px-2 text-right text-green-600">
+                                ${(row.service_revenue || 0).toFixed(2)}
                               </td>
                             </tr>
                           ))}
@@ -2831,6 +3381,13 @@ const AdminDashboard = () => {
             </div>
           </TabsContent>
 
+          {/* Media Tab */}
+          <TabsContent value="media">
+            <div className="bg-card border border-border rounded-xl p-6">
+              <MediaManager />
+            </div>
+          </TabsContent>
+
           {/* About Page Tab */}
           <TabsContent value="about">
             <div className="space-y-6">
